EDIT - bug #9081

Handle empty Partials correctly
06/18/2020 06:12 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

Currently empty partials are stored as "00000000" in the database. This results in a situation where an hql query like "WHERE ...
.timePriod = (null-object) ..." will result in an SQL "WHERE ... .timePeriod.start IS NULL" . So it will not return a record while there is
an existing record.

A reason why there might be such empty timeperiods might be that in Peson class the get and set method for lifespan creates such
empty Paritals if lifespan is null

public TimePeriod getLifespan () {
if(lifespan == null) {
this.lifespan = TimePeriod.NewlInstance (new Partial (), new Partial());
}
return this.lifespan;

}

The Reference class does not do such things for Reference.datePublished so it does not seem to be necessary and removing the
above code may solve the problem somehow.

However, solving it by handling empty Partials as null might be the better solution as it will give a consistent handling of TimePeriod
and Partial independent on the correct handling of these 2 classes.

We may also need an update script to adapt old existing data to the new handling.

Related issues:
Related to EDIT - feature request #9085: Improve deduplication of parsed names Closed
Precedes EDIT - task #9082: Update script for old empty Partials handling Closed

Associated revisions

Revision 15f01b88 - 06/18/2020 11:54 PM - Andreas Miiller

fix #9081 fix handling of empty Partial during save and in Person.get/setLifespan

Revision 4c4faa00 - 06/19/2020 12:02 AM - Andreas Miiller
fix #9081 cleaning up tests using "00000000"

Revision 60e7f76c - 06/19/2020 12:19 AM - Andreas Miiller
fix #9081 cleaning up tests using "00000000" (cont.)

Revision f7d4f55f - 06/19/2020 12:21 AM - Andreas Miiller
fix #9081 cleaning up tests using "00000000" (cont. 2)

History

#1 - 06/18/2020 06:12 PM - Andreas Miiller

- Blocks feature request #9078: Handle name parsing and deduplication on server side added

#2 - 06/18/2020 11:54 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50
Applied in changeset cdmlib|15f01b88c23a2d398aaa3dda81f0a6954a57da64.

#3 - 06/19/2020 12:04 AM - Andreas Miiller

- Assignee changed from Andreas Miller to Katja Luther
should be fixed. Please review.

#4 - 06/19/2020 12:08 AM - Andreas Miiller
- Precedes task #9082: Update script for old empty Partials handling added

#5 - 06/19/2020 10:39 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller
the code looks good and the tests work as expected, so we can close this ticket.

#6 - 06/19/2020 11:18 PM - Andreas Miiller

- Related to feature request #9085: Improve deduplication of parsed names added

#7 - 06/19/2020 11:18 PM - Andreas Miiller

- Blocks deleted (feature request #9078: Handle name parsing and deduplication on server side)
